Skip to navigation

Get all lodging Tax Names and Tax Jurisdiction names for a given state. Optional query filter available.

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Get all lodging Tax Names and Tax Jurisdiction names for a given state. Optional query filter available.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

statestringRequired
US state.

Query parameters

querystringOptional
Query filter to apply to result list, ie "Accomodations".

Response

OK
companyIdinteger
AvaTax Company ID.
taxJurisdictionNamestring>=1 character
taxJurisdictionLevelstring>=1 character
taxNamestring>=1 character
statestring>=1 character
udfValuestring1-10 characters
accountIdinteger or nullOptional1-2147483647
AvaTax Account ID.
createdByintegerOptionalRead-only
Created user ID.
createdDatestring or nullOptionalRead-only
Created date.
modifiedByintegerOptionalRead-only
Last modifying user ID.
modifiedDatestring or nullOptionalRead-only
Last modified date.
customerSourceFieldstring or nullOptional<=160 characters
approvedbooleanOptional
udfKeystring or nullOptionalformat: "^[a-zA-Z]+$"1-32 characters
udfDatasetIdstring or nullOptional
isCurrentboolean or nullOptional

Indicates whether this is the current active record. This property is read-only and any attempts to set its value will be ignored. The value is calculated internally based on the record’s state.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error